util.ui.customizableitems

## Class SelectableItem

- java.lang.Object
- - util.ui.customizableitems.SelectableItem

-     public class SelectableItem
      extends java.lang.Object

  A class for a selectable Item.
  Author:
    René Mach

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SelectableItem(java.lang.Object item, boolean selected)`
    `SelectableItem(java.lang.Object item, boolean selected, boolean isSelectable)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `getItem()`
    `boolean` | `isSelectable()`
    `boolean` | `isSelected()`
    `void` | `setSelected(boolean selected)` Sets the selection state of the item.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SelectableItem

          public SelectableItem(java.lang.Object item,
                        boolean selected)

      Parameters:
        `item` - The item.
        `selected` - Item is selected.

    - #### SelectableItem

          public SelectableItem(java.lang.Object item,
                        boolean selected,
                        boolean isSelectable)

      Parameters:
        `item` - The item.
        `selected` - Item is selected.
        `isSelectable` - If the item is slectable. Note the item still can be selected but cannot be changed by the user.
      Since:
        2.7.2

  - ### Method Detail

    - #### setSelected

          public void setSelected(boolean selected)

      Sets the selection state of the item.
      Parameters:
        `selected` - If the item is selected.

    - #### isSelected

          public boolean isSelected()

      Returns:
        If the item is selected.

    - #### getItem

          public java.lang.Object getItem()

      Returns:
        The item.

    - #### isSelectable

          public boolean isSelectable()

      Returns:
        If this item can be changed by the user.
      Since:
        2.7.2

TV-Browser 3.4.3, Copyright (C) 2004-2008 TV-Browser Team (dev@tvbrowser.org)